Subject: [Lager] Stephen Farrell's Discuss on draft-ietf-lager-specification-12: (with DISCUSS)

From: "Stephen Farrell" <[email-masked]>
Date: Mon, 16 May 2016 05:31:29 -0700

Stephen Farrell has entered the following ballot position for
draft-ietf-lager-specification-12: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lager-specification/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Thanks for the changes in -12. I think we're down to one
remaining item to discuss. I'll follow up on the earlier email
where you answered directly to this point.

(4) section 12: I don't think this is at all sufficient.
Missing aspects include: Imprecise LGRs could result in
registration of identifiers that are unexpected in many other
protocols, leading to new vulnerabilities; LGRs could be
deliberately manipulated so as to create such imprecision, and
if I could feed one such to a registry (e.g. via some nice
friendly looking git repo) then I could exploit the vuln later
for fun and profit - that seems to call for some
interoperable form of data integrity and origin
authentication (is the lager WG doing that?) and lastly (for
now), the XML language defined here is very flexible as noted
earlier - I would expect there to be many implementation bugs
in new code that attempts to parse this language. So I think
the security considerations needs to be re-done really.